Subscribe
Accepted Solution

SnapCreator Domino 4.1 fails with Server 2012 R2

[ Edited ]

Hello,

 

yes, we know that we are using a non-supported configuration. The customer has two Domino Servers with Windows Server 2012 R2 and SnapCreator 4.1.

The Domino-1 is backing up fine without any problems so far. The Domino-2 is identically set up to Domino-1 but is not backing up.

In the Errror logs we see the following error:

 

[2015-01-07 15:15:22,582] ERROR: [192.168.0.9:9090(4.1.1.1)] SCF-00038: Application quiesce for plug-in [domino] failed with exit code [99], continuing with backup.

 

In the end of the logs there is the following (I suggest that this is the follow-up error to the up one):

[2015-01-07 15:15:38,273] WARN: Could not load plugin domino. Reason: ERROR: [ltd-00009] Domino plugin couldn't be loaded. Reasons could be 1) Domino plugin is not supported on this platform.

2)Prerequisites for domino plugin to run are not satisfied. Please check documentation(domino plugin setup).
Trace:Can't load 'auto/dominocore/dominocore.dll' for module dominocore: load_fileSmiley Very Happyas angegebene Modul wurde nicht gefunden at /<C:\Program Files\NetApp\Snap_Creator_Framework\scAgent4.1P1\plugins\wrapper\wrapper.exe>DynaLoader.pm line 219.
at /<C:\Program Files\NetApp\Snap_Creator_Framework\scAgent4.1P1\plugins\wrapper\wrapper.exe>dominocore.pm line 11

 

We already checked if the Pre-Requirements are met and set the correct PATH Variable in the environments, checked the Java Versions and the correct installation of SnapDrive. We just can't figure out where the difference between Domino-1 and Domino-2 is.

 

 

Thanks for your help Smiley Happy

Re: SnapCreator Domino 4.1 fails with Server 2012 R2

Hi,

 

(The IMT was recently updated to add Windows 2012 R2.  This was an oversight on our side and is a supported configuration)

 

This error on Domino typically happens for one of a few reasons:

 

1) The path statement in the Windows environment does not exist or is not correct  (Be sure to restart the agent service after changing the PATH)

           We also recommend using a system PATH - if you use the user path you need to be sure you are logged in as that user

 

2) There is a mismatch between the bit level of Windows and Domino.  If you are using 64-bit Windows and 32-bit Domino, you MUST use 32-bit Snap Creator.

 

 

#1 is the most common.  In the Windows path a small syntax error can prevent it from working.

This is a requirement of the Domino APIs - we don't have much control over this and can't do much to improve the experience at this time.

Basically the Domino API can't be loaded, as a result Snap Creator can't call it.

 

Feel free to call support if needed - you should be supported with Windows 2012 R2 and Snap Creator 4.1 (though you didn't mention the Domino version. With Windows 2012 R2 I would guess Domino 9 or 8.5.x).

 

John

 

 

 

Re: SnapCreator Domino 4.1 fails with Server 2012 R2

Hello John,

 

thanks for your quick response!

We already checked the variables and the bit-level (as described in the SnapCreator KB Article for this issue).

 

Since it is  now a valid configuration (Smiley Wink) we will follow up with NGS and keep this thread updated with the solution.

 

Best regards

Magnus

Re: SnapCreator Domino 4.1 fails with Server 2012 R2

Hi all,

 

I am receiving the same error with Windows Server 2008 R2 SP1 and SnapCreator 4.1.2 Domino Plugin.

 

I also checked the prerequisites and the bit level but cannot find any conflict relating to the recommendations.

 

Magnus, what was your solution to resolve the issue?

 

Thanks in advance

Raphael

Re: SnapCreator Domino 4.1 fails with Server 2012 R2

Hello Raphael,

 

this has been a "multi-failure" error.

There was a missing "PATH" variable and a 64-bit SCAgent with a 64-bit Java for a 32-bit Application.

 

I also would suggest to check if there are multiple Java-Versions installed.

 

I hope this helps.

 

Best Regards

Magnus

Re: SnapCreator Domino 4.1 fails with Server 2012 R2

Hi Magnus,

 

thanks for your reply.

 

We checked all configuarion recommendations and the bit levels but we are still receiving the same error....

 

Any other idea what to check?

 

Thanks in advance

 

Raphael

 

Re: SnapCreator Domino 4.1 fails with Server 2012 R2

After upgrading from SC 4.1.1P4 to 4.1.2 i have exact the same issue on Windows Server 2008R2 SP1 with Domino 9.0.1FP4 64 bit.

Nothing else changed - just upgraded from one SC version to another.

 

I checked the path variable and that all is 64bit. What else can be the problem?

 

SC Server 4.1.2 with SC Agent 4.1.1P4 works fine.

Re: SnapCreator Domino 4.1 fails with Server 2012 R2

Hi Christian,

are you using a "non-english " Windows Server?

I could resolve my issue by using 4.1.1P4, because 4.1.2 was not able to work with a german Windows.

You may could have a look if there is a Patch Release for 4.1.2 that has fixed it.

You could also post the error message from sc here to look a bit deeper.

Regards
Raphael